@keyframes rotateLeftSlow {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

@keyframes rotateRightSlow {
    from {
        transform: rotate(360deg);
    }
    to {
        transform: rotate(0deg);
    }
}

@keyframes floatUpDown {
    0% {
        transform: translateY(20px);
    }
    50% {
        transform: translateY(-20px); /* Naik */
    }
    100% {
        transform: translateY(20px);
    }
}

.welcome {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    background-color: #065b00;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99;
    color: #fff;
    transition: all 2s ease-in;
    opacity: 0;
    transform: translateY(-100%);
}

.welcome.active {
    transform: translateY(0);
    opacity: 1;
}

.welcome.hide {
    top: -100%;
    opacity: 0;
}

.welcome h2 {
    font-size: 2.4rem;
    font-family: var(--sacramento);
    font-weight: 400;
}

.welcome figure {
    display: inherit;
    align-items: inherit;
    justify-content: inherit;
    flex-direction: inherit;
    margin: 1rem 0;
}

.welcome figure img {
    width: 10rem;
    height: 10rem;
    border-radius: 50%;
    object-fit: cover;
    box-shadow: var(--shadow-md);
    border: 2px solid #fff;
}

.welcome figure figcaption {
    font-size: var(--fontSize-heading-base);
    font-family: var(--sacramento);
    font-weight: 400;
    margin-top: 0.5rem;
}

.welcome p span {
    font-size: 2rem;
    margin: 1rem 0;
    display: block;
}

.welcome button {
    display: inherit;
    align-items: inherit;
    justify-content: inherit;
    gap: 0.4rem;
    color: #000;
    padding: 0.5rem 1rem;
    border: none;
    transition: var(--transition-small);
    border-radius: 15px;
    cursor: pointer;
}

.welcome button:hover {
    color: #fff;
    background-color: #000;
}

.welcome button i {
    font-size: 1.2rem;
}

.text-undangan {
    width: 200px;
    height: auto;
}

.mahkota {
    width: 300px;
    height: auto;
}


.logo {
    position: absolute;
    bottom: 20px;
    width: 100px;
    height: auto;
    margin-right: 10px;
}

.nametag-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

/*.nametag {*/
/*    width: 450px;*/
/*    height: auto;*/
/*}*/

/*.nama-undangan {*/
/*    margin-top: -75px; */
/*    color: #000;*/
/*    font-size: 10px;*/
/*    font-weight: bold;*/
/*    text-align: center;*/
/*}*/

.nametag {
    width: 450px;
    height: auto;
}

.nama-undangan {
    margin-top: -75px; 
    color: #000;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
}


.svg-bintang-1-left {
    position: absolute;
    width: 240px;
    height: auto;
    z-index: 10;
    top: -120px;
    left: -120px;
    animation: rotateLeftSlow 50s linear infinite;
}

.svg-bintang-1-right {
    position: absolute;
    width: 240px;
    height: auto;
    z-index: 10;
    top: -120px;
    right: -120px;
    animation: rotateRightSlow 50s linear infinite;
}


.svg-bintang-2-left {
    position: absolute;
    width: 180px;
    height: auto;
    z-index: 10;
    bottom: -90px;
    left: -90px;
    animation: rotateLeftSlow 50s linear infinite;
}

.svg-bintang-2-right {
    position: absolute;
    width: 180px;
    height: auto;
    z-index: 10;
    bottom: -90px;
    right: -90px;
    animation: rotateRightSlow 50s linear infinite;
}

.svg-bunga-1-left {
    position: absolute;
    width: 100px;
    height: auto;
    z-index: 5;
    top: -50px;
    left: 60px;
    animation: rotateRightSlow 50s linear infinite;
}

.svg-bunga-1-right {
    position: absolute;
    width: 100px;
    height: auto;
    z-index: 5;
    top: -50px;
    right: 60px;
    animation: rotateLeftSlow 50s linear infinite;
}

.svg-lentera-1-left {
    position: absolute;
    width: 160px;
    height: auto;
    z-index: 5;
    top: 0px;
    left: 0px;
    animation: floatUpDown 8s ease-in-out infinite;
}

.svg-lentera-1-right {
    position: absolute;
    width: 160px;
    height: auto;
    z-index: 5;
    top: 0px;
    right: -105px;
    transform: scaleX(-1);
    animation: floatUpDown 8s ease-in-out infinite;
}


.svg-lentera-2-left {
    position: absolute;
    width: 220px;
    height: auto;
    z-index: 5;
    top: 10px;
    left: 30px;
    animation: floatUpDown 3s ease-in-out infinite;
}

.svg-lentera-2-right {
    position: absolute;
    width: 220px;
    height: auto;
    z-index: 5;
    top: 10px;
    right: -120px;
    animation: floatUpDown 3s ease-in-out infinite;
}

.svg-masjid-1-left {
    position: absolute;
    width: 100px;
    height: auto;
    z-index: 5;
    bottom: 50px;
    left: 0px;
}

.svg-masjid-1-right {
    position: absolute;
    width: 100px;
    height: auto;
    z-index: 5;
    bottom: 50px;
    right: 0px;
    transform: scaleX(-1);
}


.svg-bunga-2-left {
    position: absolute;
    width: 100px;
    height: auto;
    z-index: 5;
    bottom: -50px;
    left: 30px;
    animation: rotateRightSlow 50s linear infinite;
}

.svg-bunga-2-right {
    position: absolute;
    width: 100px;
    height: auto;
    z-index: 5;
    bottom: -50px;
    right: 30px;
    animation: rotateLeftSlow 50s linear infinite;
}

.left {
    top: 0;
    left: 0;
}

.right {
    top: 0;
    right: 0;
    transform: scaleX(-1);
}

.ml-2 {
    margin-left: 2rem;
}

.mr-2 {
    margin-right: 2rem;
}